> ## Documentation Index
> Fetch the complete documentation index at: https://developer.dittowords.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete text items

> Deletes text items. Text items cannot be library instances.



## OpenAPI

````yaml openapi.json delete /textItems
openapi: 3.0.0
info:
  version: 1.0.0
  title: Ditto API
  description: Programmatically read and write data in your Ditto workspace.
servers:
  - url: https://api.dittowords.com/v2
security: []
paths:
  /textItems:
    delete:
      tags:
        - Text Items
      summary: Delete text items
      description: Deletes text items. Text items cannot be library instances.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                developerIds:
                  type: array
                  items:
                    type: string
                  description: >-
                    Array of developer IDs for the text items to delete. Cannot
                    be library instances.
              required:
                - developerIds
              example:
                developerIds:
                  - greeting
                  - welcome-message
      responses:
        '200':
          description: Returns success status of the deletion operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Indicates whether the deletion was successful
                required:
                  - success
                example:
                  success: true
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````